Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryCreateResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.registry.EPPRegistryCreateResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryCreateResp

extends EPPResponse

Represents an EPP Registry <registry:creData> response to a `EPPRegistryCreateCmd`. When a <crate> command has been processed successfully, the EPP <resData> element MUSt contain a child <registry:creData> element that identifies the registry namespace and the location of the registry schema. The <registry:creData> element contains the following child elements:

- A <registry:name> element that contains the fully qualified name of zone object that has been created. Use `getName` and `setName` to get and set the element.
- A <registry.crDate> element that contains the date and time of zone object creation. Use `getCreateDate` and `setCreateDate` to get and set the element.

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryCreateCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPRegistryCreateResp()` `EPPRegistryCreateResp` default constructor.
`EPPRegistryCreateResp(EPPTransId aTransId, java.lang.String name)` `EPPRegistryCreateResp` constructor that takes `name` values as parameters.
`EPPRegistryCreateResp(EPPTransId aTransId, java.lang.String name, java.util.Date createDate)` `EPPRegistryCreateResp` constructor that takes required values as parameters.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRegistryCreateResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryCreateResp` attributes from the `aElement` DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryCreateResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryCreateResp` with this instance.
`java.util.Date` | `getCreateDate()` Get the zone object creation date.
`java.lang.String` | `getName()` Get the name of the zone object created.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPRegistryCreateResp`.
`java.lang.String` | `getType()` Gets the EPP command type associated with `EPPRegistryCreateResp`.
`void` | `setCreateDate(java.util.Date createDate)` Set the zone object creation date.
`void` | `setName(java.lang.String name)` Set the name of the zone object created.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRegistryCreateResp

    public EPPRegistryCreateResp()

  `EPPRegistryCreateResp` default constructor. Must call required setter methods before encode. the defaults include the following:
  - `name` is set to `null`
  - `createDate` date is set to `null`
  `name` must be set before invoking `encode`.

### EPPRegistryCreateResp

    public EPPRegistryCreateResp(EPPTransId aTransId,
                                 java.lang.String name)

  `EPPRegistryCreateResp` constructor that takes `name` values as parameters.
  The creation date must be set before invoking `encode`.

  Parameters:
    `aTransId` - transaction Id associated with response
    `name` - name of zone object

### EPPRegistryCreateResp

    public EPPRegistryCreateResp(EPPTransId aTransId,
                                 java.lang.String name,
                                 java.util.Date createDate)

  `EPPRegistryCreateResp` constructor that takes required values as parameters.

  Parameters:
    `aTransId` - transaction Id associated with response
    `name` - name of zone object
    `createDate` - creation date of the zone object

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP command type associated with `EPPRegistryCreateResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPRegistryCreateResp.ELM_NAME`

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPRegistryCreateResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPRegistryMapFactory.NS`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPRegistryCreateResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryCreateResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPRegistryCreateResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryCreateResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPRegistryCreateResp` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPRegistryCreateResp` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPRegistryCreateResp` attributes from the `aElement` DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryCreateResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`

### getName

    public java.lang.String getName()

  Get the name of the zone object created.

  Returns:
    Name `String` of zone object

### setName

    public void setName(java.lang.String name)

  Set the name of the zone object created.

  Parameters:
    `name` - Name `String` of zone object

### getCreateDate

    public java.util.Date getCreateDate()

  Get the zone object creation date.

  Returns:
    zone object creation date

### setCreateDate

    public void setCreateDate(java.util.Date createDate)

  Set the zone object creation date.

  Parameters:
    `createDate` - zone object creation date

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.